VpxTplBlockStats Struct Reference

Temporal dependency model stats for each block before propagation. More...

`#include <vpx_tpl.h>`

## Data Fields

int16_t | row
int16_t | col
int64_t | intra_cost
int64_t | inter_cost
int16_t | mv_r
int16_t | mv_c
int64_t | srcrf_rate
int64_t | srcrf_dist
int64_t | pred_error
int64_t | inter_pred_err
int64_t | intra_pred_err
int | ref_frame_index

## Detailed Description

Temporal dependency model stats for each block before propagation.

## Field Documentation

## row

int16_t VpxTplBlockStats::row

Pixel row of the top left corner

## col

int16_t VpxTplBlockStats::col

Pixel col of the top left corner

## intra_cost

int64_t VpxTplBlockStats::intra_cost

Intra cost

## inter_cost

int64_t VpxTplBlockStats::inter_cost

Inter cost

## mv_r

int16_t VpxTplBlockStats::mv_r

Motion vector row in pixel

## mv_c

int16_t VpxTplBlockStats::mv_c

Motion vector col in pixel

## srcrf_rate

int64_t VpxTplBlockStats::srcrf_rate

Rate from source ref frame

## srcrf_dist

int64_t VpxTplBlockStats::srcrf_dist

Distortion from source ref frame

## pred_error

int64_t VpxTplBlockStats::pred_error

Prediction error

## inter_pred_err

int64_t VpxTplBlockStats::inter_pred_err

Inter prediction error

## intra_pred_err

int64_t VpxTplBlockStats::intra_pred_err

Intra prediction error

## ref_frame_index

int VpxTplBlockStats::ref_frame_index

Ref frame index in the ref frame buffer

The documentation for this struct was generated from the following file:

- vpx/vpx_tpl.h